> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoid.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get endpoint destinations for an organization.



## OpenAPI

````yaml me-creds GET /endpoints
openapi: 3.0.0
info:
  version: 1.0.0
  title: Me Creds API
  description: >2-

          
    OpenAPI documentation for Me Creds API

          
      
    Following JSON:API spec https://jsonapi.org/format/ approach to response
    payload format.

          
     - [JSON - OpenAPI Specification](/me-creds/api/openapi.json)
servers:
  - url: https://test.didxtech.com/me-creds/api
    description: Test environment
security:
  - bearerAuth: []
paths:
  /endpoints:
    get:
      tags:
        - endpoints
      summary: Get endpoint destinations for an organization.
      responses:
        '200':
          description: List of endpoint destinations.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointListApiResponse'
        '404':
          description: Organization not found
components:
  schemas:
    EndpointListApiResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EndpointDto'
        links:
          $ref: '#/components/schemas/ApiLinks'
        meta:
          $ref: '#/components/schemas/ApiMeta'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      required:
        - data
    EndpointDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        filterTypes:
          type: array
          items:
            type: string
            enum:
              - openid4vc.issuance.offered
              - openid4vc.issuance.completed
              - openid4vc.issuance.failed
              - openid4vc.issuance.partiallyIssued
              - openid4vc.issuance.expired
              - openid4vc.verification.requested
              - openid4vc.verification.verified
              - openid4vc.verification.failed
              - openid4vc.verification.expired
              - openid4vc.verification.data
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - url
        - createdAt
        - updatedAt
      example:
        id: du398r0fqd
        url: https://api.example.com/endpoints
        createdAt: '2025-01-01T00:00:00.000Z'
        updatedAt: '2025-01-01T00:00:00.000Z'
        filterTypes:
          - openid4vc.issuance.offered
          - openid4vc.issuance.completed
    ApiLinks:
      type: object
      properties:
        self:
          type: string
          format: uri
        first:
          type: string
          format: uri
        last:
          type: string
          format: uri
        prev:
          type: string
          format: uri
        next:
          type: string
          format: uri
        related:
          type: string
          format: uri
    ApiMeta:
      type: object
      additionalProperties:
        nullable: true
    ApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          additionalProperties:
            nullable: true
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````